package ar.com.supervielle.wsdl.servicios.integracion.beneficiossupervielle_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:29:57.420-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1", name = "BeneficiosSuperviellePortType-v1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultapuntos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacanjes_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacategorias_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultaproductos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface BeneficiosSuperviellePortTypeV1 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiossupervielle-v1/consultaProductos")
    public void consultaProductos(
        @WebParam(partName = "entrada", name = "ReqConsultaProductos", targetNamespace = "http://www.supervielle.com.ar/xsd/integracion/beneficiossupervielle/consultaProductos-v1")
        ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultaproductos_v1.ReqConsultaProductos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaProductos", targetNamespace = "http://www.supervielle.com.ar/xsd/integracion/beneficiossupervielle/consultaProductos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultaproductos_v1.RespConsultaProductos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/Integracion/transacciones/consultatransacciones-v1")
    public void consultaTransacciones(
        @WebParam(partName = "entrada", name = "ReqConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ReqConsultaTransacciones entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.RespConsultaTransacciones> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/integracion/beneficiosSupervielle-v1/consultaCanjes-v1")
    public void consultaCanjes(
        @WebParam(partName = "entrada", name = "ReqConsultaCanjes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaCanjes-v1")
        ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacanjes_v1.ReqConsultaCanjes entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCanjes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaCanjes-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacanjes_v1.RespConsultaCanjes> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1/consultaPuntos")
    public void consultaPuntos(
        @WebParam(partName = "entrada", name = "ReqConsultaPuntos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaPuntos-v1")
        ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultapuntos_v1.ReqConsultaPuntos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPuntos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaPuntos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultapuntos_v1.RespConsultaPuntos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/integracion/beneficiosSupervielle-v1/consultaMovimientos-v1")
    public void consultaMovimientos(
        @WebParam(partName = "entrada", name = "ReqConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaMovimientos-v1")
        ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultamovimientos_v1.ReqConsultaMovimientos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaMovimientos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultamovimientos_v1.RespConsultaMovimientos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1/consultaCategorias")
    public void consultaCategorias(
        @WebParam(partName = "entrada", name = "ReqConsultaCategorias", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaCategorias-v1")
        ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacategorias_v1.ReqConsultaCategorias entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCategorias", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/beneficiosSupervielle/consultaCategorias-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.beneficiossupervielle.consultacategorias_v1.RespConsultaCategorias> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
